package com.mamezou.sample.webflow.service;

import java.util.List;

import com.mamezou.sample.webflow.entity.Customer;
import com.mamezou.sample.webflow.exception.DataNotFoundException;

public interface CustomerService {
    public List<Customer> findAll();
    
    public Customer findByPk(int id) throws DataNotFoundException;
    
    public Customer create(Customer customer);
    
    public void update(Customer customer) throws DataNotFoundException;
    
    public void delete(int id) throws DataNotFoundException;

    public boolean isOverseasCustomer(Customer customer);
}
