package com.mamezou.sample.webflow.web.create;

import org.springframework.webflow.action.AbstractAction;
import org.springframework.webflow.execution.Event;
import org.springframework.webflow.execution.RequestContext;

import com.mamezou.sample.webflow.entity.Customer;
import com.mamezou.sample.webflow.service.CustomerService;

public class CreateCustomerAction extends AbstractAction {

    private CustomerService customerService;

    public void setCustomerService(CustomerService cs) {
        this.customerService = cs;
    }
    
    @Override
    protected Event doExecute(RequestContext ctx) {
        Customer customer
            = (Customer) ctx.getFlowScope().get("customer");

        customerService.create(customer);

        return success();
    }
}
