package com.mamezou.sample.webflow.web.create;

import org.springframework.webflow.execution.RequestContext;

import com.mamezou.sample.webflow.entity.Customer;

class WebUtils {
    private WebUtils() {}
    
    private static final String CUSTOMER_KEY = "customer";
    
    static Customer getFlowCustomer(RequestContext ctx) {
        return (Customer) ctx.getFlowScope().get(CUSTOMER_KEY);
    }
    
    static void setFlowCustomer(RequestContext ctx, Customer customer) {
        ctx.getFlowScope().put(CUSTOMER_KEY, customer);
    }
}
