package com.mamezou.sample.webflow.entity;

import java.io.Serializable;

public class Customer implements Serializable {
    private static final long serialVersionUID
                                    = 5498108629060769963L;

    private int id;

    private String name;

    private String address;

    private String telNo;

    public Customer() {
    }

    public Customer(String name, String address, String telNo) {
        this.name = name;
        this.address = address;
        this.telNo = telNo;
    }

    public Customer(int id, String name, String address, String telNo) {
        this(name, address, telNo);
        this.id = id;
    }

    public boolean isOverseas() {
        // ̎ƂāA
        // ZSāAAt@xbgororp󔒂̏ꍇA
        // COƌȂB
        return address.matches("^[0-9a-zA-Z\\s]*$");
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getAddress() {
        return address;
    }

    public void setAddress(String address) {
        this.address = address;
    }

    public String getTelNo() {
        return telNo;
    }

    public void setTelNo(String telNo) {
        this.telNo = telNo;
    }

    @Override
    public String toString() {
        return "Customer@id=" + id
                      + ",name=" + name
                      + ",address" + address
                      + ",telNo" + telNo;
    }
}
